GSTAT(8)

NAME
gstat - print statistics about GEOM disks

SYNOPSIS
gstat [-abcd] [-f filter] [-I interval]

DESCRIPTION
The gstat utility can be used to monitor I/O transactions of geom(4) devices.

The options are as follows:

-a  Only display providers that are at least 0.1% busy.

-b  Batch mode. Collect numbers, print and exit. Default if stdout is not a tty.

-c  Enable display of geom(4) consumers too. The default is to show statistics only for geom(4) producers.

-d  Enable display of statistics for delete (BIO_DELETE) operations.

-f filter
    A regular expression that can be used to only show statistics for some devices. Only devices with the names matching filter will be displayed. The format of the regular expression is described in re_format(7).

-I interval
    Refresh the gstat display every interval microseconds. Adding a suffix of s, ms, or us (the default) indicates that the update interval is specified in seconds, milliseconds, or microseconds, respectively.

EXIT STATUS

SEE ALSO
systat(1), geom(4), iostat(8), vmstat(8)

HISTORY
A gstat utility appeared in FreeBSD 5.0.